Bug 1955964 - PreserveJobHistory doesn't work with seconds
Summary: PreserveJobHistory doesn't work with seconds
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: cups
Version: 8.3
Hardware: x86_64
OS: Linux
high
high
Target Milestone: beta
: ---
Assignee: Zdenek Dohnal
QA Contact: Petr Sklenar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-01 19:17 UTC by Bryan Mason
Modified: 2021-11-10 07:58 UTC (History)
2 users (show)

Fixed In Version: cups-2.2.6-40.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-09 19:38:31 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)
Proposed patch (3.85 KB, patch)
2021-05-01 22:09 UTC, Bryan Mason
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Github apple cups issues 5538 0 None closed PreserveJobHistory doesn't work with seconds 2021-05-01 19:17:48 UTC
Red Hat Knowledge Base (Solution) 6010291 0 None None None 2021-05-02 23:13:02 UTC
Red Hat Product Errata RHSA-2021:4393 0 None None None 2021-11-09 19:38:37 UTC

Description Bryan Mason 2021-05-01 19:17:48 UTC
Description of problem:

  PreserveJobHistory doesn't work with seconds (or any time-based
  value)

Version-Release number of selected component (if applicable):

  cups-2.2.6-38.el8.x86_64

How reproducible:

  100%

Steps to Reproduce:

1. Set "PreserveJobHistory 2d" or "PreserveJobFiles 2d"
2. Print a file
3. Run "ls /var/spool/cups"
4. Run "lpstat -W completed -o"

Actual results:

  No files in /var/spool/cups
  No jobs listed in output of lpstat 

Expected results:

  A file should exist in /var/spool/cups
  A job should be listed in the output of lpstat

Additional info:

  This is https://github.com/apple/cups/issues/5538
  I will upload a test case and patch shortly

Comment 3 Bryan Mason 2021-05-01 22:09:05 UTC
Created attachment 1778297 [details]
Proposed patch

Patch backported from upstream:

https://github.com/apple/cups/commit/ba9d68cc7467a7a47ef219071902b9e9eb6dbc44

Comment 17 errata-xmlrpc 2021-11-09 19:38:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: cups security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:4393


Note You need to log in before you can comment on or make changes to this bug.